From 00fe4d4aa1876066e73254773153366a5bbdba9f Mon Sep 17 00:00:00 2001
From: PegoraroF10 <marcos@f10.com.br>
Date: Tue, 23 Dec 2025 11:25:34 -0300
Subject: [PATCH] Copied content of tag title to xreflabel tag, so all section
 n.n.n will be replaced by these titles

---
 doc/src/sgml/advanced.sgml            |  14 +--
 doc/src/sgml/amcheck.sgml             |   8 +-
 doc/src/sgml/arch-dev.sgml            |  18 +--
 doc/src/sgml/archive-modules.sgml     |  12 +-
 doc/src/sgml/array.sgml               |  14 +--
 doc/src/sgml/auth-delay.sgml          |   4 +-
 doc/src/sgml/auto-explain.sgml        |   6 +-
 doc/src/sgml/backup-manifest.sgml     |   6 +-
 doc/src/sgml/backup.sgml              |  36 +++---
 doc/src/sgml/basebackup-to-shell.sgml |   4 +-
 doc/src/sgml/basic-archive.sgml       |   6 +-
 doc/src/sgml/bki.sgml                 |  22 ++--
 doc/src/sgml/bloom.sgml               |  10 +-
 doc/src/sgml/brin.sgml                |  12 +-
 doc/src/sgml/btree-gin.sgml           |   4 +-
 doc/src/sgml/btree-gist.sgml          |   4 +-
 doc/src/sgml/btree.sgml               |  16 +--
 doc/src/sgml/catalogs.sgml            | 130 +++++++++++-----------
 doc/src/sgml/charset.sgml             |  70 ++++++------
 doc/src/sgml/citext.sgml              |  10 +-
 doc/src/sgml/client-auth.sgml         |  32 +++---
 doc/src/sgml/color.sgml               |   4 +-
 doc/src/sgml/config.sgml              | 132 +++++++++++-----------
 doc/src/sgml/contrib-spi.sgml         |   8 +-
 doc/src/sgml/contrib.sgml             |   4 +-
 doc/src/sgml/cube.sgml                |  12 +-
 doc/src/sgml/custom-rmgr.sgml         |   2 +-
 doc/src/sgml/custom-scan.sgml         |  12 +-
 doc/src/sgml/datatype.sgml            | 106 +++++++++---------
 doc/src/sgml/datetime.sgml            |  14 +--
 doc/src/sgml/ddl.sgml                 | 108 +++++++++---------
 doc/src/sgml/dfunc.sgml               |   2 +-
 doc/src/sgml/dict-int.sgml            |   4 +-
 doc/src/sgml/dict-xsyn.sgml           |   4 +-
 doc/src/sgml/dml.sgml                 |   8 +-
 doc/src/sgml/docguide.sgml            |  34 +++---
 doc/src/sgml/earthdistance.sgml       |   4 +-
 doc/src/sgml/ecpg.sgml                | 154 +++++++++++++-------------
 doc/src/sgml/event-trigger.sgml       |  16 +--
 doc/src/sgml/extend.sgml              |  36 +++---
 doc/src/sgml/external-projects.sgml   |   8 +-
 doc/src/sgml/fdwhandler.sgml          |  34 +++---
 doc/src/sgml/features.sgml            |  16 +--
 doc/src/sgml/fuzzystrmatch.sgml       |  10 +-
 doc/src/sgml/generic-wal.sgml         |   2 +-
 doc/src/sgml/geqo.sgml                |  12 +-
 doc/src/sgml/gin.sgml                 |  20 ++--
 doc/src/sgml/gist.sgml                |  14 +--
 doc/src/sgml/hash.sgml                |   6 +-
 doc/src/sgml/high-availability.sgml   |  52 ++++-----
 doc/src/sgml/history.sgml             |   8 +-
 doc/src/sgml/hstore.sgml              |  16 +--
 doc/src/sgml/indexam.sgml             |  12 +-
 doc/src/sgml/indices.sgml             |  36 +++---
 doc/src/sgml/info.sgml                |   2 +-
 doc/src/sgml/information_schema.sgml  | 132 +++++++++++-----------
 doc/src/sgml/installation.sgml        |  82 +++++++-------
 doc/src/sgml/intagg.sgml              |   4 +-
 doc/src/sgml/intarray.sgml            |  10 +-
 doc/src/sgml/intro.sgml               |   2 +-
 doc/src/sgml/isn.sgml                 |  14 +--
 doc/src/sgml/jit.sgml                 |  18 +--
 doc/src/sgml/json.sgml                |  16 +--
 doc/src/sgml/libpq.sgml               | 112 +++++++++----------
 doc/src/sgml/lo.sgml                  |   8 +-
 doc/src/sgml/lobj.sgml                |  32 +++---
 doc/src/sgml/logical-replication.sgml |  78 ++++++-------
 doc/src/sgml/logicaldecoding.sgml     |  92 +++++++--------
 doc/src/sgml/ltree.sgml               |  12 +-
 doc/src/sgml/maintenance.sgml         |  20 ++--
 doc/src/sgml/manage-ag.sgml           |  12 +-
 doc/src/sgml/monitoring.sgml          |  88 +++++++--------
 doc/src/sgml/mvcc.sgml                |  34 +++---
 doc/src/sgml/nls.sgml                 |  16 +--
 doc/src/sgml/notation.sgml            |   2 +-
 doc/src/sgml/oauth-validators.sgml    |  18 +--
 doc/src/sgml/pageinspect.sgml         |  14 +--
 doc/src/sgml/parallel.sgml            |  20 ++--
 doc/src/sgml/passwordcheck.sgml       |   2 +-
 doc/src/sgml/perform.sgml             |  46 ++++----
 doc/src/sgml/pgbuffercache.sgml       |  26 ++---
 doc/src/sgml/pgcrypto.sgml            |  74 ++++++-------
 doc/src/sgml/pgfreespacemap.sgml      |   6 +-
 doc/src/sgml/pglogicalinspect.sgml    |   4 +-
 doc/src/sgml/pgoverexplain.sgml       |   6 +-
 doc/src/sgml/pgprewarm.sgml           |   6 +-
 doc/src/sgml/pgrowlocks.sgml          |   6 +-
 doc/src/sgml/pgstatstatements.sgml    |  12 +-
 doc/src/sgml/pgstattuple.sgml         |   4 +-
 doc/src/sgml/pgsurgery.sgml           |   4 +-
 doc/src/sgml/pgtrgm.sgml              |  14 +--
 doc/src/sgml/pgvisibility.sgml        |   4 +-
 doc/src/sgml/pgwalinspect.sgml        |   4 +-
 doc/src/sgml/planstats.sgml           |  12 +-
 doc/src/sgml/plperl.sgml              |  24 ++--
 doc/src/sgml/plpgsql.sgml             | 150 ++++++++++++-------------
 doc/src/sgml/plpython.sgml            |  40 +++----
 doc/src/sgml/pltcl.sgml               |  24 ++--
 doc/src/sgml/postgres-fdw.sgml        |  42 +++----
 doc/src/sgml/problems.sgml            |   8 +-
 doc/src/sgml/protocol.sgml            |  62 +++++------
 doc/src/sgml/queries.sgml             |  54 ++++-----
 doc/src/sgml/query.sgml               |  18 +--
 doc/src/sgml/rangetypes.sgml          |  22 ++--
 doc/src/sgml/regress.sgml             |  46 ++++----
 doc/src/sgml/release-19.sgml          |   2 +-
 doc/src/sgml/release.sgml             |   2 +-
 doc/src/sgml/rowtypes.sgml            |  14 +--
 doc/src/sgml/rules.sgml               |  28 ++---
 doc/src/sgml/runtime.sgml             |  62 +++++------
 doc/src/sgml/seg.sgml                 |  12 +-
 doc/src/sgml/sepgsql.sgml             |  30 ++---
 doc/src/sgml/sourcerepo.sgml          |   2 +-
 doc/src/sgml/sources.sgml             |   8 +-
 doc/src/sgml/spgist.sgml              |  18 +--
 doc/src/sgml/spi.sgml                 |  12 +-
 doc/src/sgml/sslinfo.sgml             |   4 +-
 doc/src/sgml/start.sgml               |   8 +-
 doc/src/sgml/storage.sgml             |  20 ++--
 doc/src/sgml/syntax.sgml              |  66 +++++------
 doc/src/sgml/system-views.sgml        |  80 ++++++-------
 doc/src/sgml/tablefunc.sgml           |  14 +--
 doc/src/sgml/tablesample-method.sgml  |   2 +-
 doc/src/sgml/textsearch.sgml          |  72 ++++++------
 doc/src/sgml/trigger.sgml             |   8 +-
 doc/src/sgml/tsm-system-rows.sgml     |   2 +-
 doc/src/sgml/tsm-system-time.sgml     |   2 +-
 doc/src/sgml/typeconv.sgml            |  12 +-
 doc/src/sgml/unaccent.sgml            |   6 +-
 doc/src/sgml/user-manag.sgml          |  12 +-
 doc/src/sgml/uuid-ossp.sgml           |   6 +-
 doc/src/sgml/wal.sgml                 |  14 +--
 doc/src/sgml/xact.sgml                |   6 +-
 doc/src/sgml/xaggr.sgml               |  12 +-
 doc/src/sgml/xfunc.sgml               |  92 +++++++--------
 doc/src/sgml/xindex.sgml              |  18 +--
 doc/src/sgml/xml2.sgml                |  14 +--
 doc/src/sgml/xoper.sgml               |  16 +--
 doc/src/sgml/xplang.sgml              |   2 +-
 doc/src/sgml/xtypes.sgml              |   4 +-
 140 files changed, 1794 insertions(+), 1794 deletions(-)

diff --git a/doc/src/sgml/advanced.sgml b/doc/src/sgml/advanced.sgml
index 451bcb202ec..7dec52d4259 100644
--- a/doc/src/sgml/advanced.sgml
+++ b/doc/src/sgml/advanced.sgml
@@ -3,7 +3,7 @@
  <chapter id="tutorial-advanced">
   <title>Advanced Features</title>
 
-  <sect1 id="tutorial-advanced-intro">
+  <sect1 id="tutorial-advanced-intro" xreflabel="Introduction">
    <title>Introduction</title>
 
    <para>
@@ -29,7 +29,7 @@
   </sect1>
 
 
-  <sect1 id="tutorial-views">
+  <sect1 id="tutorial-views" xreflabel="Views">
    <title>Views</title>
 
    <indexterm zone="tutorial-views">
@@ -68,7 +68,7 @@ SELECT * FROM myview;
   </sect1>
 
 
-  <sect1 id="tutorial-fk">
+  <sect1 id="tutorial-fk" xreflabel="Foreign Keys">
    <title>Foreign Keys</title>
 
    <indexterm zone="tutorial-fk">
@@ -137,7 +137,7 @@ DETAIL:  Key (city)=(Berkeley) is not present in table "cities".
   </sect1>
 
 
-  <sect1 id="tutorial-transactions">
+  <sect1 id="tutorial-transactions" xreflabel="Transactions">
    <title>Transactions</title>
 
    <indexterm zone="tutorial-transactions">
@@ -317,7 +317,7 @@ COMMIT;
   </sect1>
 
 
-  <sect1 id="tutorial-window">
+  <sect1 id="tutorial-window" xreflabel="Window Functions">
    <title>Window Functions</title>
 
    <indexterm zone="tutorial-window">
@@ -565,7 +565,7 @@ SELECT sum(salary) OVER w, avg(salary) OVER w
   </sect1>
 
 
-  <sect1 id="tutorial-inheritance">
+  <sect1 id="tutorial-inheritance" xreflabel="Inheritance">
    <title>Inheritance</title>
 
    <indexterm zone="tutorial-inheritance">
@@ -703,7 +703,7 @@ SELECT name, elevation
   </sect1>
 
 
-  <sect1 id="tutorial-conclusion">
+  <sect1 id="tutorial-conclusion" xreflabel="Conclusion">
    <title>Conclusion</title>
 
    <para>
diff --git a/doc/src/sgml/amcheck.sgml b/doc/src/sgml/amcheck.sgml
index 08006856579..38d48715973 100644
--- a/doc/src/sgml/amcheck.sgml
+++ b/doc/src/sgml/amcheck.sgml
@@ -55,7 +55,7 @@
   able to infer something of the data itself from such messages.
  </para>
 
- <sect2 id="amcheck-functions">
+ <sect2 id="amcheck-functions" xreflabel="Functions">
   <title>Functions</title>
 
   <variablelist>
@@ -375,7 +375,7 @@ SET client_min_messages = DEBUG1;
   </variablelist>
  </sect2>
 
- <sect2 id="amcheck-optional-heapallindexed-verification">
+ <sect2 id="amcheck-optional-heapallindexed-verification" xreflabel="Optional heapallindexed Verification">
   <title>Optional <parameter>heapallindexed</parameter> Verification</title>
  <para>
   When the <parameter>heapallindexed</parameter> argument to B-Tree
@@ -416,7 +416,7 @@ SET client_min_messages = DEBUG1;
 
  </sect2>
 
- <sect2 id="amcheck-using-amcheck-effectively">
+ <sect2 id="amcheck-using-amcheck-effectively" xreflabel="Using amcheck Effectively">
   <title>Using <filename>amcheck</filename> Effectively</title>
 
  <para>
@@ -564,7 +564,7 @@ SET client_min_messages = DEBUG1;
  </para>
 
  </sect2>
- <sect2 id="amcheck-repairing-corruption">
+ <sect2 id="amcheck-repairing-corruption" xreflabel="Repairing Corruption">
   <title>Repairing Corruption</title>
  <para>
   No error concerning corruption raised by <filename>amcheck</filename> should
diff --git a/doc/src/sgml/arch-dev.sgml b/doc/src/sgml/arch-dev.sgml
index 06b6e2a8493..0b1d91d96ac 100644
--- a/doc/src/sgml/arch-dev.sgml
+++ b/doc/src/sgml/arch-dev.sgml
@@ -23,7 +23,7 @@
    at which the results are returned to the client.
   </para>
 
-  <sect1 id="query-path">
+  <sect1 id="query-path" xreflabel="The Path of a Query">
    <title>The Path of a Query</title>
 
    <para>
@@ -110,7 +110,7 @@
    </para>
   </sect1>
 
-  <sect1 id="connect-estab">
+  <sect1 id="connect-estab" xreflabel="How Connections Are Established">
    <title>How Connections Are Established</title>
 
    <para>
@@ -154,7 +154,7 @@
    </para>
   </sect1>
 
-  <sect1 id="parser-stage">
+  <sect1 id="parser-stage" xreflabel="The Parser Stage">
    <title>The Parser Stage</title>
 
    <para>
@@ -178,7 +178,7 @@
     </itemizedlist>
    </para>
 
-   <sect2 id="parser-stage-parser">
+   <sect2 id="parser-stage-parser" xreflabel="Parser">
     <title>Parser</title>
 
     <para>
@@ -241,7 +241,7 @@
 
    </sect2>
 
-   <sect2 id="parser-stage-transformation-process">
+   <sect2 id="parser-stage-transformation-process" xreflabel="Transformation Process">
      <title>Transformation Process</title>
 
     <para>
@@ -283,7 +283,7 @@
    </sect2>
   </sect1>
 
-  <sect1 id="rule-system">
+  <sect1 id="rule-system" xreflabel="The PostgreSQL Rule System">
    <title>The <productname>PostgreSQL</productname> Rule System</title>
 
    <para>
@@ -328,7 +328,7 @@
 
   </sect1>
 
-  <sect1 id="planner-optimizer">
+  <sect1 id="planner-optimizer" xreflabel="Planner/Optimizer">
    <title>Planner/Optimizer</title>
 
    <para>
@@ -365,7 +365,7 @@
     and plans.
    </para>
 
-   <sect2 id="planner-optimizer-generating-possible-plans">
+   <sect2 id="planner-optimizer-generating-possible-plans" xreflabel="Generating Possible Plans">
     <title>Generating Possible Plans</title>
 
     <para>
@@ -477,7 +477,7 @@
    </sect2>
   </sect1>
 
-  <sect1 id="executor">
+  <sect1 id="executor" xreflabel="Executor">
    <title>Executor</title>
 
    <para>
diff --git a/doc/src/sgml/archive-modules.sgml b/doc/src/sgml/archive-modules.sgml
index 10ec96eae96..70916c9b03d 100644
--- a/doc/src/sgml/archive-modules.sgml
+++ b/doc/src/sgml/archive-modules.sgml
@@ -36,7 +36,7 @@
   example, which demonstrates some useful techniques.
  </para>
 
- <sect1 id="archive-module-init">
+ <sect1 id="archive-module-init" xreflabel="Initialization Functions">
   <title>Initialization Functions</title>
   <indexterm zone="archive-module-init">
    <primary>_PG_archive_module_init</primary>
@@ -70,14 +70,14 @@ typedef const ArchiveModuleCallbacks *(*ArchiveModuleInit) (void);
   </para>
  </sect1>
 
- <sect1 id="archive-module-callbacks">
+ <sect1 id="archive-module-callbacks" xreflabel="Archive Module Callbacks">
   <title>Archive Module Callbacks</title>
   <para>
    The archive callbacks define the actual archiving behavior of the module.
    The server will call them as required to process each individual WAL file.
   </para>
 
-  <sect2 id="archive-module-startup">
+  <sect2 id="archive-module-startup" xreflabel="Startup Callback">
    <title>Startup Callback</title>
    <para>
     The <function>startup_cb</function> callback is called shortly after the
@@ -91,7 +91,7 @@ typedef void (*ArchiveStartupCB) (ArchiveModuleState *state);
    </para>
   </sect2>
 
-  <sect2 id="archive-module-check">
+  <sect2 id="archive-module-check" xreflabel="Check Callback">
    <title>Check Callback</title>
    <para>
     The <function>check_configured_cb</function> callback is called to determine
@@ -128,7 +128,7 @@ WARNING:  archive_mode enabled, yet archiving is not configured
    </note>
   </sect2>
 
-  <sect2 id="archive-module-archive">
+  <sect2 id="archive-module-archive" xreflabel="Archive Callback">
    <title>Archive Callback</title>
    <para>
     The <function>archive_file_cb</function> callback is called to archive a
@@ -157,7 +157,7 @@ typedef bool (*ArchiveFileCB) (ArchiveModuleState *state, const char *file, cons
    </note>
   </sect2>
 
-  <sect2 id="archive-module-shutdown">
+  <sect2 id="archive-module-shutdown" xreflabel="Shutdown Callback">
    <title>Shutdown Callback</title>
    <para>
     The <function>shutdown_cb</function> callback is called when the archiver
diff --git a/doc/src/sgml/array.sgml b/doc/src/sgml/array.sgml
index ce338c770c9..827b6804618 100644
--- a/doc/src/sgml/array.sgml
+++ b/doc/src/sgml/array.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/array.sgml -->
 
-<sect1 id="arrays">
+<sect1 id="arrays" xreflabel="Arrays">
  <title>Arrays</title>
 
  <indexterm>
@@ -14,7 +14,7 @@
   or domain can be created.
  </para>
 
- <sect2 id="arrays-declaration">
+ <sect2 id="arrays-declaration" xreflabel="Declaration of Array Types">
   <title>Declaration of Array Types</title>
 
   <indexterm>
@@ -84,7 +84,7 @@ CREATE TABLE tictactoe (
  </para>
  </sect2>
 
- <sect2 id="arrays-input">
+ <sect2 id="arrays-input" xreflabel="Array Value Input">
   <title>Array Value Input</title>
 
   <indexterm>
@@ -197,7 +197,7 @@ INSERT INTO sal_emp
  </para>
  </sect2>
 
- <sect2 id="arrays-accessing">
+ <sect2 id="arrays-accessing" xreflabel="Accessing Arrays">
   <title>Accessing Arrays</title>
 
   <indexterm>
@@ -377,7 +377,7 @@ SELECT cardinality(schedule) FROM sal_emp WHERE name = 'Carol';
  </para>
  </sect2>
 
- <sect2 id="arrays-modifying">
+ <sect2 id="arrays-modifying" xreflabel="Modifying Arrays">
   <title>Modifying Arrays</title>
 
   <indexterm>
@@ -595,7 +595,7 @@ SELECT array_append(ARRAY[1, 2], NULL);    -- this might have been meant
  </para>
  </sect2>
 
- <sect2 id="arrays-searching">
+ <sect2 id="arrays-searching" xreflabel="Searching in Arrays">
   <title>Searching in Arrays</title>
 
   <indexterm>
@@ -694,7 +694,7 @@ SELECT array_positions(ARRAY[1, 4, 3, 1, 3, 4, 2, 1], 1);
  </tip>
  </sect2>
 
- <sect2 id="arrays-io">
+ <sect2 id="arrays-io" xreflabel="Array Input and Output Syntax">
   <title>Array Input and Output Syntax</title>
 
   <indexterm>
diff --git a/doc/src/sgml/auth-delay.sgml b/doc/src/sgml/auth-delay.sgml
index 0571f2a99df..00aa16d8694 100644
--- a/doc/src/sgml/auth-delay.sgml
+++ b/doc/src/sgml/auth-delay.sgml
@@ -21,7 +21,7 @@
   <xref linkend="guc-shared-preload-libraries"/> in <filename>postgresql.conf</filename>.
  </para>
 
- <sect2 id="auth-delay-configuration-parameters">
+ <sect2 id="auth-delay-configuration-parameters" xreflabel="Configuration Parameters">
   <title>Configuration Parameters</title>
 
   <variablelist>
@@ -54,7 +54,7 @@ auth_delay.milliseconds = '500'
 </programlisting>
  </sect2>
 
- <sect2 id="auth-delay-author">
+ <sect2 id="auth-delay-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/auto-explain.sgml b/doc/src/sgml/auto-explain.sgml
index 15c868021e6..97d17c28cbb 100644
--- a/doc/src/sgml/auto-explain.sgml
+++ b/doc/src/sgml/auto-explain.sgml
@@ -32,7 +32,7 @@ LOAD 'auto_explain';
   that.
  </para>
 
- <sect2 id="auto-explain-configuration-parameters">
+ <sect2 id="auto-explain-configuration-parameters" xreflabel="Configuration Parameters">
   <title>Configuration Parameters</title>
 
  <para>
@@ -316,7 +316,7 @@ auto_explain.log_min_duration = '3s'
 </programlisting>
  </sect2>
 
- <sect2 id="auto-explain-example">
+ <sect2 id="auto-explain-example" xreflabel="Example">
   <title>Example</title>
 
 <programlisting>
@@ -348,7 +348,7 @@ LOG:  duration: 3.651 ms  plan:
 ]]></screen>
  </sect2>
 
- <sect2 id="auto-explain-author">
+ <sect2 id="auto-explain-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/backup-manifest.sgml b/doc/src/sgml/backup-manifest.sgml
index 594e216bcba..8f04b54334e 100644
--- a/doc/src/sgml/backup-manifest.sgml
+++ b/doc/src/sgml/backup-manifest.sgml
@@ -25,7 +25,7 @@
    in this object are described in the next section.
   </para>
 
- <sect1 id="backup-manifest-toplevel">
+ <sect1 id="backup-manifest-toplevel" xreflabel="Backup Manifest Top-level Object">
   <title>Backup Manifest Top-level Object</title>
 
   <para>
@@ -99,7 +99,7 @@
   </variablelist>
  </sect1>
 
- <sect1 id="backup-manifest-files">
+ <sect1 id="backup-manifest-files" xreflabel="Backup Manifest File Object">
   <title>Backup Manifest File Object</title>
 
   <para>
@@ -178,7 +178,7 @@
   </variablelist>
  </sect1>
 
- <sect1 id="backup-manifest-wal-ranges">
+ <sect1 id="backup-manifest-wal-ranges" xreflabel="Backup Manifest WAL Range Object">
   <title>Backup Manifest WAL Range Object</title>
 
   <para>
diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index 168444eccc5..0ca810ebfa0 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -24,7 +24,7 @@
   in the following sections.
  </para>
 
- <sect1 id="backup-dump">
+ <sect1 id="backup-dump" xreflabel="SQL Dump">
   <title><acronym>SQL</acronym> Dump</title>
 
   <para>
@@ -101,7 +101,7 @@ pg_dump <replaceable class="parameter">dbname</replaceable> &gt; <replaceable cl
    exclusive lock, such as most forms of <command>ALTER TABLE</command>.)
   </para>
 
-  <sect2 id="backup-dump-restore">
+  <sect2 id="backup-dump-restore" xreflabel="Restoring the Dump">
    <title>Restoring the Dump</title>
 
    <para>
@@ -194,7 +194,7 @@ pg_dump -h <replaceable>host1</replaceable> <replaceable>dbname</replaceable> |
    </para>
   </sect2>
 
-  <sect2 id="backup-dump-all">
+  <sect2 id="backup-dump-all" xreflabel="Using pg_dumpall">
    <title>Using <application>pg_dumpall</application></title>
 
    <para>
@@ -238,7 +238,7 @@ psql -X -f <replaceable class="parameter">dumpfile</replaceable> postgres
    </para>
   </sect2>
 
-  <sect2 id="backup-dump-large">
+  <sect2 id="backup-dump-large" xreflabel="Handling Large Databases">
    <title>Handling Large Databases</title>
 
    <para>
@@ -354,7 +354,7 @@ pg_dump -j <replaceable class="parameter">num</replaceable> -F d -f <replaceable
   </sect2>
  </sect1>
 
- <sect1 id="backup-file">
+ <sect1 id="backup-file" xreflabel="File System Level Backup">
   <title>File System Level Backup</title>
 
   <para>
@@ -470,7 +470,7 @@ tar -cf backup.tar /usr/local/pgsql/data
   </para>
  </sect1>
 
- <sect1 id="continuous-archiving">
+ <sect1 id="continuous-archiving" xreflabel="Continuous Archiving and Point-in-Time Recovery (PITR)">
   <title>Continuous Archiving and Point-in-Time Recovery (PITR)</title>
 
   <indexterm zone="backup">
@@ -569,7 +569,7 @@ tar -cf backup.tar /usr/local/pgsql/data
    archiving WAL files.
   </para>
 
-  <sect2 id="backup-archiving-wal">
+  <sect2 id="backup-archiving-wal" xreflabel="Setting Up WAL Archiving">
    <title>Setting Up WAL Archiving</title>
 
    <para>
@@ -802,7 +802,7 @@ test ! -f /mnt/server/archivedir/00000001000000A900000065 &amp;&amp; cp pg_wal/0
    </para>
   </sect2>
 
-  <sect2 id="backup-base-backup">
+  <sect2 id="backup-base-backup" xreflabel="Making a Base Backup">
    <title>Making a Base Backup</title>
 
    <para>
@@ -863,7 +863,7 @@ test ! -f /mnt/server/archivedir/00000001000000A900000065 &amp;&amp; cp pg_wal/0
    </para>
   </sect2>
 
-  <sect2 id="backup-incremental-backup">
+  <sect2 id="backup-incremental-backup" xreflabel="Making an Incremental Backup">
    <title>Making an Incremental Backup</title>
 
    <para>
@@ -944,7 +944,7 @@ test ! -f /mnt/server/archivedir/00000001000000A900000065 &amp;&amp; cp pg_wal/0
    </para>
   </sect2>
 
-  <sect2 id="backup-lowlevel-base-backup">
+  <sect2 id="backup-lowlevel-base-backup" xreflabel="Making a Base Backup Using the Low Level API">
    <title>Making a Base Backup Using the Low Level API</title>
    <para>
     Instead of taking a full or incremental base backup using
@@ -1071,7 +1071,7 @@ SELECT * FROM pg_backup_stop(wait_for_archive => true);
    </listitem>
   </orderedlist>
     </para>
-   <sect3 id="backup-lowlevel-base-backup-data">
+   <sect3 id="backup-lowlevel-base-backup-data" xreflabel="Backing Up the Data Directory">
    <title>Backing Up the Data Directory</title>
    <para>
     Some file system backup tools emit warnings or errors
@@ -1174,7 +1174,7 @@ SELECT * FROM pg_backup_stop(wait_for_archive => true);
    </sect3>
   </sect2>
 
-  <sect2 id="backup-pitr-recovery">
+  <sect2 id="backup-pitr-recovery" xreflabel="Recovering Using a Continuous Archive Backup">
    <title>Recovering Using a Continuous Archive Backup</title>
 
    <para>
@@ -1379,7 +1379,7 @@ restore_command = 'cp "/mnt/server/archivedir/%f" "%p"'
 
   </sect2>
 
-  <sect2 id="backup-timelines">
+  <sect2 id="backup-timelines" xreflabel="Timelines">
    <title>Timelines</title>
 
   <indexterm zone="backup">
@@ -1457,14 +1457,14 @@ restore_command = 'cp "/mnt/server/archivedir/%f" "%p"'
    </para>
   </sect2>
 
-  <sect2 id="backup-tips">
+  <sect2 id="backup-tips" xreflabel="Tips and Examples">
    <title>Tips and Examples</title>
 
    <para>
     Some tips for configuring continuous archiving are given here.
    </para>
 
-    <sect3 id="backup-standalone">
+    <sect3 id="backup-standalone" xreflabel="Standalone Hot Backups">
      <title>Standalone Hot Backups</title>
 
      <para>
@@ -1486,7 +1486,7 @@ restore_command = 'cp "/mnt/server/archivedir/%f" "%p"'
      </para>
     </sect3>
 
-    <sect3 id="compressed-archive-logs">
+    <sect3 id="compressed-archive-logs" xreflabel="Compressed Archive Logs">
      <title>Compressed Archive Logs</title>
 
      <para>
@@ -1502,7 +1502,7 @@ restore_command = 'gunzip &lt; "/mnt/server/archivedir/%f.gz" &gt; "%p"'
      </para>
     </sect3>
 
-    <sect3 id="backup-scripts">
+    <sect3 id="backup-scripts" xreflabel="archive_command Scripts">
      <title><varname>archive_command</varname> Scripts</title>
 
      <para>
@@ -1558,7 +1558,7 @@ archive_command = 'local_backup_script.sh "%p" "%f"'
     </sect3>
   </sect2>
 
-  <sect2 id="continuous-archiving-caveats">
+  <sect2 id="continuous-archiving-caveats" xreflabel="Caveats">
    <title>Caveats</title>
 
    <para>
diff --git a/doc/src/sgml/basebackup-to-shell.sgml b/doc/src/sgml/basebackup-to-shell.sgml
index b6a3b395414..d8ed6d37b88 100644
--- a/doc/src/sgml/basebackup-to-shell.sgml
+++ b/doc/src/sgml/basebackup-to-shell.sgml
@@ -27,7 +27,7 @@
   <xref linkend="guc-local-preload-libraries"/>.
  </para>
 
- <sect2 id="basebackup-to-shell-configuration-parameters">
+ <sect2 id="basebackup-to-shell-configuration-parameters" xreflabel="Configuration Parameters">
   <title>Configuration Parameters</title>
 
   <variablelist>
@@ -74,7 +74,7 @@
   </variablelist>
  </sect2>
 
- <sect2 id="basebackup-to-shell-author">
+ <sect2 id="basebackup-to-shell-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/basic-archive.sgml b/doc/src/sgml/basic-archive.sgml
index b4d43ced203..90798dc8890 100644
--- a/doc/src/sgml/basic-archive.sgml
+++ b/doc/src/sgml/basic-archive.sgml
@@ -21,7 +21,7 @@
   must be enabled.
  </para>
 
- <sect2 id="basic-archive-configuration-parameters">
+ <sect2 id="basic-archive-configuration-parameters" xreflabel="Configuration Parameters">
   <title>Configuration Parameters</title>
 
   <variablelist>
@@ -57,7 +57,7 @@ basic_archive.archive_directory = '/path/to/archive/directory'
 </programlisting>
  </sect2>
 
- <sect2 id="basic-archive-notes">
+ <sect2 id="basic-archive-notes" xreflabel="Notes">
   <title>Notes</title>
 
   <para>
@@ -70,7 +70,7 @@ basic_archive.archive_directory = '/path/to/archive/directory'
   </para>
  </sect2>
 
- <sect2 id="basic-archive-author">
+ <sect2 id="basic-archive-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/bki.sgml b/doc/src/sgml/bki.sgml
index 53a982bf60d..be8f1e22402 100644
--- a/doc/src/sgml/bki.sgml
+++ b/doc/src/sgml/bki.sgml
@@ -69,7 +69,7 @@
   the <acronym>BKI</acronym> file format.
  </para>
 
- <sect1 id="system-catalog-declarations">
+ <sect1 id="system-catalog-declarations" xreflabel="System Catalog Declaration Rules">
   <title>System Catalog Declaration Rules</title>
 
   <para>
@@ -155,7 +155,7 @@
   </para>
  </sect1>
 
- <sect1 id="system-catalog-initial-data">
+ <sect1 id="system-catalog-initial-data" xreflabel="System Catalog Initial Data">
   <title>System Catalog Initial Data</title>
 
   <para>
@@ -164,7 +164,7 @@
    initial data in an editable format.
   </para>
 
-  <sect2 id="system-catalog-initial-data-format">
+  <sect2 id="system-catalog-initial-data-format" xreflabel="Data File Format">
    <title>Data File Format</title>
 
    <para>
@@ -336,7 +336,7 @@
    </itemizedlist>
   </sect2>
 
-  <sect2 id="system-catalog-oid-assignment">
+  <sect2 id="system-catalog-oid-assignment" xreflabel="OID Assignment">
    <title>OID Assignment</title>
 
    <para>
@@ -450,7 +450,7 @@
    </para>
   </sect2>
 
-  <sect2 id="system-catalog-oid-references">
+  <sect2 id="system-catalog-oid-references" xreflabel="OID Reference Lookup">
    <title>OID Reference Lookup</title>
 
    <para>
@@ -582,7 +582,7 @@
    </para>
   </sect2>
 
-  <sect2 id="system-catalog-auto-array-types">
+  <sect2 id="system-catalog-auto-array-types" xreflabel="Automatic Creation of Array Types">
    <title>Automatic Creation of Array Types</title>
 
    <para>
@@ -617,7 +617,7 @@
    </para>
   </sect2>
 
-  <sect2 id="system-catalog-recipes">
+  <sect2 id="system-catalog-recipes" xreflabel="Recipes for Editing Data Files">
    <title>Recipes for Editing Data Files</title>
 
    <para>
@@ -756,7 +756,7 @@ $ perl  rewrite_dat_with_prokind.pl  pg_proc.dat
   </sect2>
  </sect1>
 
- <sect1 id="bki-format">
+ <sect1 id="bki-format" xreflabel="BKI File Format">
   <title><acronym>BKI</acronym> File Format</title>
 
   <para>
@@ -784,7 +784,7 @@ $ perl  rewrite_dat_with_prokind.pl  pg_proc.dat
 
  </sect1>
 
- <sect1 id="bki-commands">
+ <sect1 id="bki-commands" xreflabel="BKI Commands">
   <title><acronym>BKI</acronym> Commands</title>
 
   <variablelist>
@@ -972,7 +972,7 @@ $ perl  rewrite_dat_with_prokind.pl  pg_proc.dat
 
  </sect1>
 
- <sect1 id="bki-structure">
+ <sect1 id="bki-structure" xreflabel="Structure of the Bootstrap BKI File">
   <title>Structure of the Bootstrap <acronym>BKI</acronym> File</title>
 
   <para>
@@ -1058,7 +1058,7 @@ $ perl  rewrite_dat_with_prokind.pl  pg_proc.dat
   </para>
  </sect1>
 
- <sect1 id="bki-example">
+ <sect1 id="bki-example" xreflabel="BKI Example">
   <title>BKI Example</title>
 
   <para>
diff --git a/doc/src/sgml/bloom.sgml b/doc/src/sgml/bloom.sgml
index 3f6d38f377b..080dda61146 100644
--- a/doc/src/sgml/bloom.sgml
+++ b/doc/src/sgml/bloom.sgml
@@ -38,7 +38,7 @@
   indexes can also perform inequality and range searches.
  </para>
 
- <sect2 id="bloom-parameters">
+ <sect2 id="bloom-parameters" xreflabel="Parameters">
   <title>Parameters</title>
 
   <para>
@@ -73,7 +73,7 @@
    </variablelist>
  </sect2>
 
- <sect2 id="bloom-examples">
+ <sect2 id="bloom-examples" xreflabel="Examples">
   <title>Examples</title>
 
   <para>
@@ -226,7 +226,7 @@ CREATE INDEX
   </para>
  </sect2>
 
- <sect2 id="bloom-operator-class-interface">
+ <sect2 id="bloom-operator-class-interface" xreflabel="Operator Class Interface">
   <title>Operator Class Interface</title>
 
   <para>
@@ -243,7 +243,7 @@ DEFAULT FOR TYPE text USING bloom AS
 </programlisting>
  </sect2>
 
- <sect2 id="bloom-limitations">
+ <sect2 id="bloom-limitations" xreflabel="Limitations">
   <title>Limitations</title>
   <para>
    <itemizedlist>
@@ -279,7 +279,7 @@ DEFAULT FOR TYPE text USING bloom AS
   </para>
  </sect2>
 
- <sect2 id="bloom-authors">
+ <sect2 id="bloom-authors" xreflabel="Authors">
   <title>Authors</title>
 
   <para>
diff --git a/doc/src/sgml/brin.sgml b/doc/src/sgml/brin.sgml
index 64fb520db7e..2c40ba87a61 100644
--- a/doc/src/sgml/brin.sgml
+++ b/doc/src/sgml/brin.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/brin.sgml -->
 
-<sect1 id="brin">
+<sect1 id="brin" xreflabel="BRIN Indexes">
 <title>BRIN Indexes</title>
 
    <indexterm>
@@ -8,7 +8,7 @@
     <secondary>BRIN</secondary>
    </indexterm>
 
-<sect2 id="brin-intro">
+<sect2 id="brin-intro" xreflabel="Introduction">
  <title>Introduction</title>
 
  <para>
@@ -64,7 +64,7 @@
   be more precise and more data blocks can be skipped during an index scan.
  </para>
 
- <sect3 id="brin-operation">
+ <sect3 id="brin-operation" xreflabel="Index Maintenance">
   <title>Index Maintenance</title>
 
   <para>
@@ -139,7 +139,7 @@ LOG:  request for BRIN range summarization for index "brin_wi_idx" page 128 was
  </sect3>
 </sect2>
 
-<sect2 id="brin-builtin-opclasses">
+<sect2 id="brin-builtin-opclasses" xreflabel="Built-in Operator Classes">
  <title>Built-in Operator Classes</title>
 
  <para>
@@ -743,7 +743,7 @@ LOG:  request for BRIN range summarization for index "brin_wi_idx" page 128 was
   </tgroup>
  </table>
 
-  <sect3 id="brin-builtin-opclasses--parameters">
+  <sect3 id="brin-builtin-opclasses--parameters" xreflabel="Operator Class Parameters">
    <title>Operator Class Parameters</title>
 
    <para>
@@ -812,7 +812,7 @@ LOG:  request for BRIN range summarization for index "brin_wi_idx" page 128 was
 
 </sect2>
 
-<sect2 id="brin-extensibility">
+<sect2 id="brin-extensibility" xreflabel="Extensibility">
  <title>Extensibility</title>
 
  <para>
